{ ... }:
{
  _class = "clan.service";
  manifest.name = "stirling-pdf";
  manifest.description = "Your locally hosted one-stop-shop for all your PDF needs.";
  manifest.readme = "Your locally hosted one-stop-shop for all your PDF needs.";
  manifest.categories = [ "System" ];

  roles.default = {
    description = "a default server role";
    perInstance.nixosModule =
      {
        lib,
        ...
      }:
      {
        nixpkgs.overlays = [
          (final: prev: {
            libreoffice = prev.libreoffice-fresh;
          })
        ];

        services.stirling-pdf = {
          enable = lib.mkDefault true;
          environment = {
            SERVER_PORT = lib.mkDefault 8080;
          };
        };
      };
  };
}
